#  DNLP written by GAMS Convert at 05/24/17 13:23:53
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         12       11        1        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         37       25       12        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(0,50),initialize=50)
m.x3 = Var(within=Reals,bounds=(0,50),initialize=50)
m.x4 = Var(within=Reals,bounds=(-10,20),initialize=0)
m.x5 = Var(within=Reals,bounds=(-10,20),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=60)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=60)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=40)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=40)

m.obj = Objective(expr=   2*m.x2 + 2*m.x3 - 3*m.x4 - 3*m.x5 - 60, sense=minimize)

m.c1 = Constraint(expr= - 2*m.x2 + 2*m.x4 + 2*m.x6 - m.x8 + m.x9 == -40)

m.c2 = Constraint(expr= - 2*m.x3 + 2*m.x5 + 2*m.x7 - m.x10 + m.x11 == -40)

m.c3 = Constraint(expr= - m.x2 - m.x3 - m.x4 + 2*m.x5 >= -40)

m.c4 = Constraint(expr=   m.x2 - 2*m.x4 - m.x12 == 10)

m.c5 = Constraint(expr=   m.x3 - 2*m.x5 - m.x13 == 10)

m.c7 = Constraint(expr=m.x8*(10 + m.x4) == 0)

m.c8 = Constraint(expr=m.x9*(20 - m.x4) == 0)

m.c9 = Constraint(expr=m.x10*(10 + m.x5) == 0)

m.c10 = Constraint(expr=m.x11*(20 - m.x5) == 0)

m.c11 = Constraint(expr=m.x12*m.x6 == 0)

m.c12 = Constraint(expr=m.x13*m.x7 == 0)
